# Uses of Enum
org.apache.commons.math3.geometry.partitioning.Side

Packages that use Side
Package
Description
org.apache.commons.math3.geometry.partitioning
This package provides classes to implement Binary Space Partition trees.
org.apache.commons.math3.geometry.spherical.oned
This package provides basic geometry components on the 1-sphere.

## Uses of Side in org.apache.commons.math3.geometry.partitioning

Methods in org.apache.commons.math3.geometry.partitioning that return Side
Modifier and Type
Method
Description
`Side`
SubHyperplane.SplitSubHyperplane.`getSide()`
Get the side of the split sub-hyperplane with respect to its splitter.
`Side`
AbstractRegion.`side(Hyperplane<S> hyperplane)`
Deprecated.
`Side`
AbstractSubHyperplane.`side(Hyperplane<S> hyper)`
Deprecated.
`Side`
Region.`side(Hyperplane<S> hyperplane)`
Deprecated.
as of 3.6, this method which was only intended for internal use is not used anymore
`Side`
SubHyperplane.`side(Hyperplane<S> hyperplane)`
Deprecated.
as of 3.6, replaced with `SubHyperplane.split(Hyperplane)`.`SubHyperplane.SplitSubHyperplane.getSide()`
`static Side`
Side.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Side[]`
Side.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

## Uses of Side in org.apache.commons.math3.geometry.spherical.oned

Methods in org.apache.commons.math3.geometry.spherical.oned that return Side
Modifier and Type
Method
Description
`Side`
ArcsSet.Split.`getSide()`
Get the side of the split arc with respect to its splitter.
`Side`
ArcsSet.`side(Arc arc)`
Deprecated.
as of 3.6, replaced with `ArcsSet.split(Arc)`.`ArcsSet.Split.getSide()`